- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# MRenderTargetDescription Class Reference

# OpenMayaRender - API module for rendering

This reference page is linked to from the following overview topics: Rendering Overrides.

Search for all occurrences

## Detailed Description

Class which provides a description of a hardware render target The name is the unique identifier for a render target.

`#include <MRenderTargetManager.h>`

List of all members.

## Public Member Functions
| MRenderTargetDescription (const MString &name, unsigned int width, unsigned int height, unsigned int multiSampleCount, MHWRender::MRasterFormat rasterFormat, unsigned int arraySliceCount, bool isCubeMap)
| Constructor for a render target description.
virtual | ~MRenderTargetDescription ()
| Default destructor.
const MString & | name () const
| Query the name identifier for the target description.
unsigned int | width () const
| Query the width of a 2D render target slice.
unsigned int | height () const
| Query the height of a 2D render target slice.
unsigned int | multiSampleCount () const
| Query the multi-sample count defined by the description.
MHWRender::MRasterFormat | rasterFormat () const
| Query the raster format defined by the description.
unsigned int | arraySliceCount () const
| Query the number of array slices defined by the description.
bool | isCubeMap () const
| Query whether this is a cube map target.
void | setWidth (unsigned int val)
| Set width of the target.
void | setHeight (unsigned int val)
| Set height of the target.
void | setMultiSampleCount (unsigned int val)
| Set multisample count of the target.
void | setRasterFormat (MHWRender::MRasterFormat val)
| Set the raster format of the target.
void | setArraySliceCount (unsigned int val)
| Set array slice count of the target.
void | setIsCubeMap (bool val)
| Set cube map flag for the target.

## Constructor & Destructor Documentation

MRenderTargetDescription | ( | const MString & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | multiSampleCount,
|  | MHWRender::MRasterFormat | rasterFormat,
|  | unsigned int | arraySliceCount,
|  | bool | isCubeMap
| ) |  |

Constructor for a render target description.

The basic description of a 2 dimensional (2D) target is the width, height, the sample count, and the raster format.

- Cube maps, and generalized arrays of targets can be specified by providing an array (slice) count which is greater than zero. A "slice" is logically equivalent to a 2D render target.
- If multiple slices are specified, then an additional flag is required to distinguish between a general array of 2D targets and a one which forms a cube map.

Parameters:

  [in] | name | Name of the target description
  [in] | width | Width in pixels
  [in] | height | Height in pixels
  [in] | multiSampleCount | Number of samples for a multisampled anti-aliased (MSAA) target. A value of 1 indicates no multisampling.
  [in] | rasterFormat | Raster / pixel format of the target.
  [in] | arraySliceCount | The number of array slices. A value of 1 means a single 2D target.
  [in] | isCubeMap | A true value indicates that the target is a cube map. In this case the arraySliceCount is set to be 6 in the constructor. The argument is ignored if the number of array slices is not equal to 6.

## Member Function Documentation

const MString & name | ( |  | ) | const

Search for all occurrences

Query the name identifier for the target description.

Returns:
  Identifier name

unsigned int width | ( |  | ) | const

Search for all occurrences

Query the width of a 2D render target slice.

Returns:
  Width value

unsigned int height | ( |  | ) | const

Search for all occurrences

Query the height of a 2D render target slice.

Returns:
  Height value

unsigned int multiSampleCount | ( |  | ) | const

Search for all occurrences

Query the multi-sample count defined by the description.

Returns:
  Sample value

MRasterFormat rasterFormat | ( |  | ) | const

Search for all occurrences

Query the raster format defined by the description.

Returns:
  The raster format.

unsigned int arraySliceCount | ( |  | ) | const

Search for all occurrences

Query the number of array slices defined by the description.

Returns:
  The slice count

bool isCubeMap | ( |  | ) | const

Search for all occurrences

Query whether this is a cube map target.

Returns:
  True if the target describes a cubemap.

void setWidth | ( | unsigned int | val | ) |

Search for all occurrences

Set width of the target.

Parameters:

  [in] | val | Width to set.

void setHeight | ( | unsigned int | val | ) |

Search for all occurrences

Set height of the target.

Parameters:

  [in] | val | Height to set.

void setMultiSampleCount | ( | unsigned int | val | ) |

Search for all occurrences

Set multisample count of the target.

Parameters:

  [in] | val | Sample count to set.

void setRasterFormat | ( | MHWRender::MRasterFormat | val | ) |

Search for all occurrences

Set the raster format of the target.

Parameters:

  [in] | val | Format to set.

void setArraySliceCount | ( | unsigned int | val | ) |

Search for all occurrences

Set array slice count of the target.

Parameters:

  [in] | val | Slice count to set.

void setIsCubeMap | ( | bool | val | ) |

Search for all occurrences

Set cube map flag for the target.

Parameters:

  [in] | val | Cube map flag to set.

MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription
MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription MRenderTargetDescription